aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAriadne Conill <ariadne@dereferenced.org>2021-04-29 04:25:03 -0600
committerAriadne Conill <ariadne@dereferenced.org>2021-04-29 04:30:28 -0600
commit1b3e60fd720cfa0cc976baa04ed853657a0153ef (patch)
tree4bfe938513faa5039e5e3cf24ed2b811ad507485
parent8d3872f24ba3aeca75e04a02b56340daf1d8b063 (diff)
downloadaports-1b3e60fd720cfa0cc976baa04ed853657a0153ef.tar.gz
aports-1b3e60fd720cfa0cc976baa04ed853657a0153ef.tar.bz2
aports-1b3e60fd720cfa0cc976baa04ed853657a0153ef.tar.xz
main/bind: security upgrade to 9.16.15 (CVE-2021-25214, CVE-2021-25215, CVE-2021-25216)
-rw-r--r--main/bind/APKBUILD29
1 files changed, 21 insertions, 8 deletions
diff --git a/main/bind/APKBUILD b/main/bind/APKBUILD
index a6d73362fb..895a99ee47 100644
--- a/main/bind/APKBUILD
+++ b/main/bind/APKBUILD
@@ -5,7 +5,7 @@
# Contributor: ungleich <alpinelinux@ungleich.ch>
# Maintainer:
pkgname=bind
-pkgver=9.16.6
+pkgver=9.16.15
_ver=${pkgver%_p*}
_p=${pkgver#*_p}
_major=${pkgver%%.*}
@@ -48,7 +48,7 @@ subpackages="$pkgname-doc $pkgname-dev $pkgname-libs $pkgname-openrc
$pkgname-plugins $pkgname-tools
"
source="
- https://downloads.isc.org/isc/${pkgname}$_major/$_ver/$pkgname-$_ver.tar.xz
+ https://downloads.isc.org/isc/bind$_major/$_ver/bind-$_ver.tar.xz
bind.plugindir.patch
bind.so_bsdcompat.patch
named.initd
@@ -60,6 +60,12 @@ source="
"
# secfixes:
+# 9.16.15-r0:
+# - CVE-2021-25214
+# - CVE-2021-25215
+# - CVE-2021-25216
+# 9.16.11-r2:
+# - CVE-2020-8625
# 9.16.6-r0:
# - CVE-2020-8620
# - CVE-2020-8621
@@ -240,20 +246,27 @@ root_keys() {
ln -s "../../$_dir/$_file" "$_link"
}
-# TODO: remove when abuild is sufficiently upgraded
+# The default_libs() in abuild uses the wrong pattern.
libs() {
depends="$depends_libs"
- default_libs
+ pkgdesc="$pkgdesc (libraries)"
+ local dir= file=
+ for dir in lib usr/lib; do
+ for file in "$pkgdir"/$dir/lib*.so; do
+ [ -f "$file" ] || continue
+ mkdir -p "$subpkgdir"/$dir
+ mv "$file" "$subpkgdir"/$dir/
+ done
+ done
}
-
-gpg_signature_extensions="sha512.asc"
-gpgfingerprints="
+_gpg_signature_extensions="sha512.asc"
+_gpgfingerprints="
good:AE3F AC79 6711 EC59 FC00 7AA4 74BB 6B9A 4CBB 3D38
BE0E 9748 B718 253A 28BB 89FF F1B1 1BF0 5CF0 2E57
"
-sha512sums="37f57db6d1633cc85a4d954a69bbb3372c65ac43fef965df5aee8dcdd32153bb5b0c6d0d5f00f353dd4464c71d74dc8e801937b930e2b8f6799fa77af5f243e0 bind-9.16.6.tar.xz
+sha512sums="30dad6e2144b3ac53ef0a2d1ed3c8342120f148fc0eb6409113a6d5ed3444eecb917915fdf39c26fd223396fc1e873410a50da305f0b870864f7fbbdccec8033 bind-9.16.15.tar.xz
2b32d1e7f62cd1e01bb4fdd92d15460bc14761b933d5acc463a91f5ecd4773d7477c757c5dd2738e8e433693592cf3f623ffc142241861c91848f01aa84640d6 bind.plugindir.patch
7167dccdb2833643dfdb92994373d2cc087e52ba23b51bd68bd322ff9aca6744f01fa9d8a4b9cd8c4ce471755a85c03ec956ec0d8a1d4fae02124ddbed6841f6 bind.so_bsdcompat.patch
53db80f7ee4902f42fb1d0bc959242bcb6f20d95256bda99ce2c206af8b4703c7f72bb26d026c633f70451b84a37c3946b210951e34dd5d6620b181cd0183de4 named.initd